package com.ruoyi.baseinfo.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 计划信息对象 base_plan_info
 * 
 * @author CaesarBao
 * @date 2020-10-23
 */
@Data
public class BasePlanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计划ID */
    @Excel(name = "计划ID")
    private String planid;

    /** 设备基台ID */
    @Excel(name = "设备基台ID")
    private String deviceid;

    /** 计划班次ID */
    @Excel(name = "计划班次ID")
    private String planShiftId;

    /** 计划状态ID */
    @Excel(name = "计划状态ID")
    private String planStateId;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String deviceName;

    private String shiftname;

    public void setPlanid(String planid) 
    {
        this.planid = planid;
    }

    public String getPlanid() 
    {
        return planid;
    }
    public void setDeviceid(String deviceid) 
    {
        this.deviceid = deviceid;
    }

    public String getDeviceid() 
    {
        return deviceid;
    }
    public void setPlanShiftId(String planShiftId) 
    {
        this.planShiftId = planShiftId;
    }

    public String getPlanShiftId() 
    {
        return planShiftId;
    }
    public void setPlanStateId(String planStateId) 
    {
        this.planStateId = planStateId;
    }

    public String getPlanStateId() 
    {
        return planStateId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planid", getPlanid())
            .append("deviceid", getDeviceid())
            .append("planShiftId", getPlanShiftId())
            .append("planStateId", getPlanStateId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
